KDE 4.9 PyKDE API Reference

- KDE's Python API

# GeoDataOverlay Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataFeature → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataOverlay other)
QString | absoluteIconFile (self)
QColor | color (self)
int | drawOrder (self)
QImage | icon (self)
QString | iconFile (self)
| setColor (self, QColor color)
| setDrawOrder (self, int order)
| setIcon (self, QImage icon)
| setIconFile (self, QString path)

## Method Documentation

__init__ | ( |  | self ) |

Constructor

__init__ | ( | self, |
|  | Marble.GeoDataOverlay | other
| ) |  |  |

QString absoluteIconFile | ( |  | self ) |

Returns the #iconFile as an absolute filename. Relative files are resolved relative to the directory of the GeoDataDocument this overlay is part of (see #fileName of #GeoDataDocument)

QColor color | ( |  | self ) |

int drawOrder | ( |  | self ) |

QImage icon | ( |  | self ) |

QString iconFile | ( |  | self ) |

setColor | ( | self, |
|  | QColor | color
| ) |  |  |

setDrawOrder | ( | self, |
|  | int | order
| ) |  |  |

setIcon | ( | self, |
|  | QImage | icon
| ) |  |  |

setIconFile | ( | self, |
|  | QString | path
| ) |  |  |